Summary: Library for writing network programs
Name: linc
Version: 1.0.3
Release: 6
Source: ftp://ftp.gnome.org/pub/gnome/sources/linc/1.0/%{name}-%{version}.tar.bz2
Group: System Environment/Libraries
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig >= 1:0.8
BuildRequires: glib2-devel >= 2.0

Patch1: linc-underquoted.patch

%description

linc is a library that eases the task of writing networked servers and
clients. It takes care of connection initiation and maintenance, and
the details of various transports. It is used by the new ORBit to
handle message transmission/receipt.

%package devel
Summary: Development libraries and header files for linc.
Group: Development/Libraries
Requires: linc = %{version}
Requires: pkgconfig >= 1:0.8
Requires: glib2-devel >= 2.0

%description devel

linc is a library that eases the task of writing networked servers and
clients. It takes care of connection initiation and maintenance, and
the details of various transports. It is used by the new ORBit to
handle message transmission/receipt.

This package contains the header files and libraries needed to write 
or compile programs that use linc.

%prep
%setup -q
%patch1 -p1 -b .underquoted

%build
%configure --without-openssl --disable-gtk-doc
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*
%{_bindir}/*
%{_datadir}/aclocal/*
%{_datadir}/gtk-doc

%changelog
* Fri Aug  6 2004 Tim Waugh <twaugh@redhat.com> 1.0.3-6
- Fixed underquoted m4 definitions.

* Mon Jun 21 2004 Alan Cox <alan@redhat.com>
- Closed #73539 EASYFIX

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jul 11 2003 Havoc Pennington <hp@redhat.com> 1.0.3-2
- disable gtk-doc
- automated rebuild

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 1.0.3-1
- 1.0.3

* Thu Jun 26 2003 Havoc Pennington <hp@redhat.com> 1.0.2-3
- rebuild

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun  4 2003 Havoc Pennington <hp@redhat.com> 1.0.2-1
- 1.0.2
- fix typos in description
- fix url in source line

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Tue Feb  4 2003 Havoc Pennington <hp@redhat.com> 1.0.1-1
- 1.0.1

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Jan 12 2003 Havoc Pennington <hp@redhat.com>
- 0.7.1

* Fri Nov  8 2002 Havoc Pennington <hp@redhat.com>
- 0.7.0
- remove ipv4withipv6 patch now upstream

* Fri Aug 23 2002 Elliot Lee <sopwith@redhat.com> 0.5.2-2
- Fix resolution of IPv4 names that also have IPv6 addresses.

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- 0.5.2

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 06 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 0.5.0

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May 02 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- 0.1.21
- disable SSL

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 0.1.20

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 0.1.18

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 0.1.16

* Fri Jan 25 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- 0.1.12.90 snap

* Sun Nov 25 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap 0.1.9.90, rebuild for glib 1.3.11

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap, rebuild on new glib

* Tue Oct  9 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap with headers moved
- hrm, put headers in the devel package, doh

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- cvs snap action

* Thu Sep 27 2001 Havoc Pennington <hp@redhat.com>
- move to released 0.1.5 tarball

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- -devel package requires specific glib, update to new cvs snap

* Mon Sep 10 2001 Havoc Pennington <hp@redhat.com>
- update to CVS snapshot

* Tue Sep  4 2001 Havoc Pennington <hp@pobox.com>
- create package


